SpanRegexQuery (Lucene 3.6.2 API)
Keywords: org.apache.lucene.search.regex.SpanRegexQuery class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.regex
Class SpanRegexQuery

    java.lang.Object
      org.apache.lucene.search.Query
          org.apache.lucene.search.spans.SpanQuery
              org.apache.lucene.search.spans.SpanMultiTermQueryWrapper<RegexQuery>
                  org.apache.lucene.search.regex.SpanRegexQuery

All Implemented Interfaces:
  Serializable, Cloneable, RegexQueryCapable

Deprecated. Use `new SpanMultiTermQueryWrapper<RegexQuery>(new RegexQuery())` instead. This query will be removed in Lucene 4.0

    @Deprecated
    public class SpanRegexQuery

extends org.apache.lucene.search.spans.SpanMultiTermQueryWrapper<RegexQuery>
implements RegexQueryCapable

A SpanQuery version of `RegexQuery` allowing regular expression queries to be nested within other SpanQuery subclasses.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.search.spans.SpanMultiTermQueryWrapper
`org.apache.lucene.search.spans.SpanMultiTermQueryWrapper.SpanRewriteMethod, org.apache.lucene.search.spans.SpanMultiTermQueryWrapper.TopTermsSpanBooleanQueryRewrite`

Field Summary

Fields inherited from class org.apache.lucene.search.spans.SpanMultiTermQueryWrapper
`query, SCORING_SPAN_QUERY_REWRITE`

Constructor Summary
`SpanRegexQuery(org.apache.lucene.index.Term term)` Deprecated.

Method Summary
`RegexCapabilities` | `getRegexImplementation()` Deprecated.
`org.apache.lucene.index.Term` | `getTerm()` Deprecated.
`void` | `setRegexImplementation(RegexCapabilities impl)` Deprecated.

Methods inherited from class org.apache.lucene.search.spans.SpanMultiTermQueryWrapper
`equals, getField, getRewriteMethod, getSpans, hashCode, rewrite, setRewriteMethod, toString`

Methods inherited from class org.apache.lucene.search.spans.SpanQuery
`createWeight`

Methods inherited from class org.apache.lucene.search.Query
`clone, combine, extractTerms, getBoost, getSimilarity, mergeBooleanQueries, setBoost, toString, weight`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SpanRegexQuery

    public SpanRegexQuery(org.apache.lucene.index.Term term)

  Deprecated.

Method Detail

### getTerm

    public org.apache.lucene.index.Term getTerm()

  Deprecated.

### setRegexImplementation

    public void setRegexImplementation(RegexCapabilities impl)

  Deprecated.
  Specified by:
    `setRegexImplementation` in interface `RegexQueryCapable`

### getRegexImplementation

    public RegexCapabilities getRegexImplementation()

  Deprecated.
  Specified by:
    `getRegexImplementation` in interface `RegexQueryCapable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD